#include <iostream>
#include <vector>
#include <string>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;


struct Input {
    vector<double> numbers;
    vector<string> colours;
    size_t bin_count{};
};

Input input_data() {

    size_t number_count;

    cerr << "Enter number count: ";
    cin >> number_count;

    Input in;

    cerr << "Enter number of bins: ";
    cin >> in.bin_count;

    in.numbers.resize(number_count);
    in.colours.resize(in.bin_count);

    cerr << "Enter colours: (press A for choose default colour) ";
    for (size_t i = 0; i < in.bin_count; i++)
    {
        cin >> in.colours[i];
    }

    cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++)
    {
        cin >> in.numbers[i];
    }

    return in;
}




int main(){

    bool res = false;

    Input in = input_data();

    auto bins = make_histogram(in.numbers, in.bin_count);

    show_histogram_svg(bins, in.colours);


    }
